apiVersion: apps/v1
kind: Deployment
metadata:
  name: web-deployment
  namespace: webapp
spec:
  replicas: 1
  selector:
    matchLabels:
      app: web
  template:
    metadata:
      labels:
        app: web
    spec:
      containers:
        - name: nginx
          image: web-app:latest
          imagePullPolicy: Never
          ports:
            - containerPort: 80

